package fr.openium.consentium_ui.domain.adapter

import fr.openium.consentium_ui.data.remote.model.PurposeStatusDTO
import fr.openium.consentium_ui.domain.model.PurposeStatusData

internal fun PurposeStatusDTO.toPurposeStatusData(): PurposeStatusData {
    return when (this) {
        PurposeStatusDTO.ACCEPTED -> PurposeStatusData.ACCEPTED
        PurposeStatusDTO.REFUSED -> PurposeStatusData.REJECTED
        PurposeStatusDTO.PARTIAL -> PurposeStatusData.PARTIAL
    }
}