package fr.openium.consentium_ui.ui.adapter

import fr.openium.consentium_ui.domain.model.VendorData
import fr.openium.consentium_ui.ui.model.VendorUI

internal fun VendorData.toVendorUI() = VendorUI(
    id = identifier,
    isAccepted = isAccepted,
)

internal fun List<VendorData>.toVendorUIList() = map { it.toVendorUI() }